﻿# ServiceDependencies.ps1
#Header
""
""
"########################## blog.it-koehler.com ##########################"
""
"Hello " + $env:USERNAME + "!"

"this script shows all dependencies for the specified service and restarts service if you want!"

""

$date = Get-Date -Format g

"Script was executed at " + $date
""
"All services running on localhost are listet" 
""
#display services with status "running"
Get-Service | Where-Object {$_.Status -eq "Running"}
"" 
#userinput which service 
$service = Read-Host "Please input the service you want to know dependencies"
#query dependencies
Get-Service | Where-Object {$_.ServicesDependedOn | Where-Object {$_.Name –match "$service"}} | Format-Table Name, ServicesDependedOn
""
"Do you want to restart the service?"
#userinput restart yes or no
$answer = Read-Host "Y [Yes] N [No]"
if($answer -eq "Y")
{ 
"Service " + $service + " reboots"  
Restart-Service $service -Verbose -Force
"Restart successfully"
pause
}
else 
{
"Nothing is done"
pause
}

